image: golang:latest

variables:
  REPO_NAME: gitlab.com/proskive/tools/showversion

before_script:
- mkdir -p $GOPATH/src/$(dirname $REPO_NAME)
- ln -svf $CI_PROJECT_DIR $GOPATH/src/$REPO_NAME
- cd $GOPATH/src/$REPO_NAME
- go get -u github.com/spf13/cobra/cobra

stages:
- test
- build

format:
  stage: test
  script:
  - go fmt $(go list ./... | grep -v /vendor/)
  - go vet $(go list ./... | grep -v /vendor/)
  - go test -race $(go list ./... | grep -v /vendor/)

compile:
  stage: build
  script:
  - CGO_ENABLED=0 go build -race -ldflags "-extldflags '-static'" -o $CI_PROJECT_DIR/showversion
  artifacts:
    paths:
    - showversion
